## mx4j.tools.remote.provider.hessian
Class ClientProvider

    java.lang.Object
      mx4j.tools.remote.provider.hessian.ClientProvider

All Implemented Interfaces:
  javax.management.remote.JMXConnectorProvider

public class ClientProvider
extends java.lang.Object
implements javax.management.remote.JMXConnectorProvider

Version:
  $Revision: 1.3 $

Constructor Summary
`ClientProvider()`

Method Summary
`javax.management.remote.JMXConnector` `newJMXConnector(javax.management.remote.JMXServiceURL url, java.util.Map environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientProvider

    public ClientProvider()

Method Detail

### newJMXConnector

    public javax.management.remote.JMXConnector newJMXConnector(javax.management.remote.JMXServiceURL url,
                                                                java.util.Map environment)
                                                         throws java.io.IOException

  Specified by:
    `newJMXConnector` in interface `javax.management.remote.JMXConnectorProvider`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.